const dbUtil = require('../utils/dbUtil.js');   // 引入dbUtil模块

// 查询所有日记(按发布时间逆序排列)
async function getAllDiaries() {
    return await dbUtil.query('select d.*, u.nickName as author from diary d inner join user_info u on d.userId = u.id order by d.publishTime desc');
}

module.exports = {
    getAllDiaries
}